function Neighbors = extp_F_dt_oneway(ncells_x,ncells_y,Notch,Delta,Jagged,NICD,I0,nf,lDf,lJf,i,time,tmin,tmax,dt,Jpr_EC, AsR)

%handles.value meegeven, if h == 1 initial, h == 2 several, etc

% Edited by Sandra Loerakker: polarization of Jagged

% Edited by Tommaso Ristori: 24 April 2018
% - Bidirectional signal not clustered, without vertical symmetry

% Edited by Tommaso Ristori: 01 May 2018
% - Inclusion of area aspect ratio

% Edited by Tommaso Ristori: 03 May 2018
% - Modifications to have hexagonal cells

% Edited by Tommaso Ristori: 07 May 2018
% - Modifications to have symmetry

% sum external proteins of Notch (Nt)        
% ------------------------------------------------------------------------------------------------- 
% Notch
N = zeros(ncells_x+2, ncells_y+2);
N(2:(ncells_x+1), 2:(ncells_y+1)) = Notch(i,:, :);
N(:, 1) = N(:, ncells_y+1);
N(:, ncells_y+2) = N(:, 2);

N_NN = N(2:ncells_x+1, 1:ncells_y); % N[i, j-1] 
N_SS = N(2:ncells_x+1, 3:(ncells_y+2)); % N[i, j+1] 

N_NW = zeros(ncells_x, ncells_y);
N_NW(1:2:2*ceil(ncells_x/2) , :) = N(1:2:2*ceil(ncells_x/2), 1:ncells_y);
N_NW(2:2:2*floor(ncells_x/2) , :) = N(2:2:2*floor(ncells_x/2), 2:(ncells_y+1));

N_NE = zeros(ncells_x, ncells_y);
N_NE(1:2:2*ceil(ncells_x/2) , :) = N(3:2:2*ceil(ncells_x/2)+2, 1:ncells_y);
N_NE(2:2:2*floor(ncells_x/2) , :) = N(4:2:2*floor(ncells_x/2)+2, 2:(ncells_y+1));

N_SW = zeros(ncells_x, ncells_y);
N_SW(1:2:2*ceil(ncells_x/2) , :) = N(1:2:2*ceil(ncells_x/2), 2:(ncells_y+1));
N_SW(2:2:2*floor(ncells_x/2) , :) = N(2:2:2*floor(ncells_x/2), 3:(ncells_y+2));

N_SE = zeros(ncells_x, ncells_y);
N_SE(1:2:2*ceil(ncells_x/2) , :) = N(3:2:2*ceil(ncells_x/2)+2, 2:(ncells_y+1));
N_SE(2:2:2*floor(ncells_x/2) , :) = N(4:2:2*floor(ncells_x/2)+2, 3:(ncells_y+2));

% Delta
D = zeros(ncells_x+2, ncells_y+2);
%D(1,ncells_x+2, :) = 0;
%D(1,1, :) = 0;
D(2:(ncells_x+1), 2:(ncells_y+1)) = Delta(i,:, :);
D(:, 1) = D(:, ncells_y+1);
D(:, ncells_y+2) = D(:, 2);

D_NN = D(2:ncells_x+1, 1:ncells_y); % D[i, j-1] 
D_SS = D(2:ncells_x+1, 3:(ncells_y+2)); % D[i, j+1] 

D_NW = zeros(ncells_x, ncells_y);
D_NW(1:2:2*ceil(ncells_x/2) , :) = D(1:2:2*ceil(ncells_x/2), 1:ncells_y);
D_NW(2:2:2*floor(ncells_x/2) , :) = D(2:2:2*floor(ncells_x/2), 2:(ncells_y+1));

D_NE = zeros(ncells_x, ncells_y);
D_NE(1:2:2*ceil(ncells_x/2) , :) = D(3:2:2*ceil(ncells_x/2)+2, 1:ncells_y);
D_NE(2:2:2*floor(ncells_x/2) , :) = D(4:2:2*floor(ncells_x/2)+2, 2:(ncells_y+1));

D_SW = zeros(ncells_x, ncells_y);
D_SW(1:2:2*ceil(ncells_x/2) , :) = D(1:2:2*ceil(ncells_x/2), 2:(ncells_y+1));
D_SW(2:2:2*floor(ncells_x/2) , :) = D(2:2:2*floor(ncells_x/2), 3:(ncells_y+2));

D_SE = zeros(ncells_x, ncells_y);
D_SE(1:2:2*ceil(ncells_x/2) , :) = D(3:2:2*ceil(ncells_x/2)+2, 2:(ncells_y+1));
D_SE(2:2:2*floor(ncells_x/2) , :) = D(4:2:2*floor(ncells_x/2)+2, 3:(ncells_y+2));

% Jagged

% continuous pulse EC
J = zeros(ncells_x+2, ncells_y+2);
%J(1,ncells_x+2, :) = 0;
J(1, :) = Jpr_EC; 
J(2:(ncells_x+1), 2:(ncells_y+1)) = Jagged(i,:, :);
J(:, 1) = J(:, ncells_y+1);
J(:, ncells_y+2) = J(:, 2);

J_NN = J(2:ncells_x+1, 1:ncells_y); % N[i, j-1] 
J_SS = J(2:ncells_x+1, 3:(ncells_y+2)); % N[i, j+1] 

J_NW = zeros(ncells_x, ncells_y);
J_NW(1:2:2*ceil(ncells_x/2) , :) = J(1:2:2*ceil(ncells_x/2), 1:ncells_y);
J_NW(2:2:2*floor(ncells_x/2) , :) = J(2:2:2*floor(ncells_x/2), 2:(ncells_y+1));

J_NE = zeros(ncells_x, ncells_y);
J_NE(1:2:2*ceil(ncells_x/2) , :) = J(3:2:2*ceil(ncells_x/2)+2, 1:ncells_y);
J_NE(2:2:2*floor(ncells_x/2) , :) = J(4:2:2*floor(ncells_x/2)+2, 2:(ncells_y+1));

J_SW = zeros(ncells_x, ncells_y);
J_SW(1:2:2*ceil(ncells_x/2) , :) = J(1:2:2*ceil(ncells_x/2), 2:(ncells_y+1));
J_SW(2:2:2*floor(ncells_x/2) , :) = J(2:2:2*floor(ncells_x/2), 3:(ncells_y+2));

J_SE = zeros(ncells_x, ncells_y);
J_SE(1:2:2*ceil(ncells_x/2) , :) = J(3:2:2*ceil(ncells_x/2)+2, 2:(ncells_y+1));
J_SE(2:2:2*floor(ncells_x/2) , :) = J(4:2:2*floor(ncells_x/2)+2, 3:(ncells_y+2));

% NICD for i == N 
%I = zeros(ncells_x+2, ncells_y+2);
%I(1,ncells_x+2, :) = 0;
%I(1,1, :) = 0;
%I(2:(ncells_x+1), 2:(ncells_y+1)) = NICD(i,:, :);

%I_l = I(1,1:ncells_x, :); % I[i-1] 
%I_r = I(1, 3:ncells_x+2, :); % I[i+1]

ratio = 2*AsR / (2*AsR+1);
ratio2 = 1 / (2*AsR+1);

% calculate Ne, De and Je for each cell
Neighbors = zeros(4,ncells_x, ncells_y);
Neighbors(1,:, :) = 1/4*(N_NW + N_NE+ N_SW+ N_SE)*ratio + 1/2*(N_NN + N_SS)*ratio2; % NeD   
Neighbors(2,:, :) = 1/4*(N_NW + N_NE+ N_SW+ N_SE)*ratio + 1/2*(N_NN + N_SS)*ratio2; % NeJ   
Neighbors(3,:, :) = 1/4*(D_NW + D_NE+ D_SW+ D_SE)*ratio + 1/2*(D_NN + D_SS)*ratio2; % De
Neighbors(4,:, :) = 1/4*(J_NW + J_NE+ J_SW+ J_SE)*ratio + 1/2*(J_NN + J_SS)*ratio2; % Je