%% Plot individual cell states for selection of lengths
clearvars; clc; close all;
load('artery_1D.mat')
i_trans1D = i_trans;
clearvars -except selection i_trans1D
load('lN_increased_kc_decreased.mat')
ncells_y_ini=ncells_y;
i_transhex = i_trans;

i_trans_aux = max(i_trans1D, i_transhex);
selection = [i_trans_aux-8, i_trans_aux-4,i_trans_aux,i_trans_aux+4,i_trans_aux+8];

% Plot status from last simulation per wall thickness
cstate_end = zeros(length(ncells_range_x),ncells_range_x(end), ncells_y);


for f = 1:size(I_end,1)
    for g = 1:size(I_end,2)
        for k = 1:size(I_end, 3)
           if g > ncells_range_x(f)
               cstate_end(f,g,k) = 10; % no cell
           else
               if I_end(f,g,k) < 100 &&  I_end(f,g,k) >= 0% Sender
                   cstate_end(f,g,k) = 0;
               elseif I_end(f,g,k) > 300 % Receiver
                   cstate_end(f,g,k) = 1;
               else % 100 < I_end(f,g) < 300 % Sender/Receiver
                   cstate_end(f,g,k) = 0.5;
               end
            end
        end
    end
end
n = 5; % horizontal count

for k = selection
    
    t = cstate_end(k,1:5,:);
    nS = sum(sum(t==0)); % t<100
    nR = sum(sum(t == 1)); % t>300         
    nSR = sum(sum(t == 0.5)); % 100>t>300

    % parametric definition of a hexagon
    lll = (1/12:1/6:1)' * 2 * pi;
    x = cos(lll);
    y = sin(lll);

    % coordinates of all sender hexagons
    XS = zeros(6, nSR);
    YS = zeros(6, nSR);
    % coordinates of all sender/receiver hexagons
    XSR = zeros(6, nS);
    YSR = zeros(6, nS);
    % coordinates of all receiver hexagons
    XR = zeros(6, nR);
    YR = zeros(6,nR);
    % coordinates of all EC hexagons
    XE = zeros(6, ncells_y);
    YE = zeros(6, ncells_y);

    d=sqrt(3)/2;
    bcount = 0;
    wcount = 0;
    rcount = 0;
    ECcount = 0;
    for ii = 1:ncells_y_ini
        ECcount = ECcount +1;
        YE(:, ECcount) = x + d * (mod(2 * ii, 2 * ncells_y));
        XE(:, ECcount) = y;
        for jj = 1:n
            ppp = mod(jj,2);
            if t(1,jj, ii)==0.5
                bcount = bcount + 1;
                YS(:, bcount) = x + d * (mod(2 * ii + ppp, 2 * ncells_y));
                XS(:, bcount) = y + 1.5 * jj;
            elseif t(1, jj, ii)==0
                wcount = wcount + 1;
                YSR(:, wcount) = x + d * (mod(2 * ii + ppp, 2 * ncells_y));
                XSR(:, wcount) = y + 1.5 * jj;
            else
                rcount = rcount + 1;
                YR(:, rcount) = x + d * (mod(2 * ii + ppp, 2 * ncells_y));
                XR(:, rcount) = y + 1.5 * jj;
            end
        end
    end

    h=figure(k);hold on
    set(h,'Position',[1000,1000,1000,400]); 
    r1 = patch(XS, YS, [0.925 0.839 0.839], 'EdgeColor', 'k');
    set(r1,'LineWidth',2);
    r2 = patch(XSR, YSR, [0.729 0.831 0.957], 'EdgeColor', 'k');
    set(r2,'LineWidth',2);
    r3 = patch(XE, YE, [0.863 0.863 0.863], 'EdgeColor', 'k');
    set(r3,'LineWidth',2);
    r4 = patch(XR, YR, [0.757 0.867 0.776], 'EdgeColor', 'k');
    set(r4,'LineWidth',2);
    jjj=0;
    kj = max(max([XS, XSR]));
    while min(min([YS, YSR, YR]))+3*jjj*d < max(max([YS, YSR, YR]))
          jjj=jjj+1;
        text(kj+d,min(min([YS, YSR, YR]))+3*jjj*d,'...','FontSize',36);
    end

    % second part of the graph

    t = cstate_end(k,i_trans_aux-10:k,:);   
    nS = sum(sum(t==0)); % t<100
    nR = sum(sum(t == 1)); % t>300         
    nSR = sum(sum(t == 0.5)); % 100>t>300

    % coordinates of all sender hexagons
    XS = zeros(6, nSR);
    YS = zeros(6, nSR);
    % coordinates of all sender/receiver hexagons
    XSR = zeros(6, nS);
    YSR = zeros(6, nS);
    % coordinates of all receiver hexagons
    XR = zeros(6, nR);
    YR = zeros(6,nR);

    bcount = 0;
    wcount = 0;
    rcount = 0;

    for ii = 1:size(t,3)
        for jj = 1:size(t,2)
            ppp=mod(jj,2);
            if t(1,jj, ii)==0.5
                bcount = bcount + 1;
                YS(:, bcount) = x + d * (mod(2 * ii + ppp, 2 * ncells_y));
                XS(:, bcount) = y + 1.5 * jj+kj + 4*d;
            elseif t(1, jj, ii)==0
                wcount = wcount + 1;
                YSR(:, wcount) = x + d * (mod(2 * ii + ppp, 2 * ncells_y));
                XSR(:, wcount) = y + 1.5 * jj+kj + 4*d;
            else
                rcount = rcount + 1;
                YR(:, rcount) = x + d * (mod(2 * ii + ppp, 2 * ncells_y));
                XR(:, rcount) = y + 1.5 * jj+kj + 4*d;
            end
        end
    end

    r1 = patch(XS, YS, [0.925 0.839 0.839], 'EdgeColor', 'k');
    set(r1,'LineWidth',2);
    r2 = patch(XSR, YSR, [0.729 0.831 0.957], 'EdgeColor', 'k');
    set(r2,'LineWidth',2);
    r4 = patch(XR, YR, [0.757 0.867 0.776], 'EdgeColor', 'k');
    set(r4,'LineWidth',2);
    
    i=ncells_y-1;
%    r1 = rectangle('Position',[7.5 i*2+1 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.863 0.863 0.863]); set(r1,'LineWidth',2);
%    text(9,i*2+2,'EC','FontSize',24);
%    r1 = rectangle('Position',[12.5 i*2+1 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.729 0.831 0.957]); set(r1,'LineWidth',2);
%    text(14,i*2+2,'S','FontSize',24);
%    r1 = rectangle('Position',[16.5 i*2+1 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.925 0.839 0.839]); set(r1,'LineWidth',2);
%    text(18,i*2+2,'S/R','FontSize',24);
%    r1 = rectangle('Position',[21.5 i*2+1 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.757 0.867 0.776]); set(r1,'LineWidth',2);
%    text(23,i*2+2,'R','FontSize',24);
    plot([-4 selection(end)+5],[ncells_y*2-1.75 ncells_y*2-1.75],'Color','k','LineWidth',2);
    text(-4,ncells_y*2-12,'2D','FontSize',28);
    text(-4,ncells_y*2,'1D','FontSize',28);
%    text(0,ncells_y*2-0.5,num2str(k*cell_size),'FontSize',24);
    %axis equal off
end

clearvars -except selection i_trans_aux
load('artery_1D.mat')
ncells_y = 1;
ncells_range = 1:100;
ncells_range_x=ncells_range;
% Plot status from last simulation per wall thickness
cstate_end = zeros(length(ncells_range_x),ncells_range_x(end), ncells_y);


for f = 1:size(I_end,1)
    for g = 1:size(I_end,2)
        for k = 1:size(I_end, 3)
           if g > ncells_range_x(f)
               cstate_end(f,g,k) = 10; % no cell
           else
               if I_end(f,g,k) < 100 % Sender
                   cstate_end(f,g,k) = 0;
               elseif I_end(f,g,k) > 300 % Receiver
                   cstate_end(f,g,k) = 1;
               else % 100 < I_end(f,g) < 300 % Sender/Receiver
                   cstate_end(f,g,k) = 0.5;
               end
            end
        end
    end
end
ncells_y_ini=1;
n=5;
for k = selection
    
    t = cstate_end(k,1:5,:);
    nS = sum(sum(t==0)); % t<100
    nR = sum(sum(t == 1)); % t>300         
    nSR = sum(sum(t == 0.5)); % 100>t>300

    % parametric definition of a hexagon
    lll = (1/12:1/6:1)' * 2 * pi;
    if k==44 || k==45 || k==30
        x = cos(lll)+19.75;
    else
        x = cos(lll)+18;
    end
    y = sin(lll);

    % coordinates of all sender hexagons
    XS = zeros(6, nSR);
    YS = zeros(6, nSR);
    % coordinates of all sender/receiver hexagons
    XSR = zeros(6, nS);
    YSR = zeros(6, nS);
    % coordinates of all receiver hexagons
    XR = zeros(6, nR);
    YR = zeros(6,nR);
    % coordinates of all EC hexagons
    XE = zeros(6, ncells_y);
    YE = zeros(6, ncells_y);

    d=sqrt(3)/2;
    bcount = 0;
    wcount = 0;
    rcount = 0;
    ECcount = 0;
    for ii = 1:ncells_y_ini
        ECcount = ECcount +1;
        YE(:, ECcount) = x + d * (mod(2 * ii, 2 * ncells_y))+sqrt(3)*(k==21);
        XE(:, ECcount) = y;
        for jj = 1:n
            ppp = mod(jj,2);
            if t(1,jj, ii)==0.5
                bcount = bcount + 1;
                YS(:, bcount) = x + d * (mod(2 * ii + ppp, 2 * ncells_y))+sqrt(3)*(k==21);
                XS(:, bcount) = y + 1.5 * jj;
            elseif t(1, jj, ii)==0
                wcount = wcount + 1;
                YSR(:, wcount) = x + d * (mod(2 * ii + ppp, 2 * ncells_y))+sqrt(3)*(k==21);
                XSR(:, wcount) = y + 1.5 * jj;
            else
                rcount = rcount + 1;
                YR(:, rcount) = x + d * (mod(2 * ii + ppp, 2 * ncells_y))+sqrt(3)*(k==21);
                XR(:, rcount) = y + 1.5 * jj;
            end
        end
    end

    h=figure(k);hold on
    set(h,'Position',[1000,1000,1000,400]); 
    r1 = patch(XS, YS, [0.925 0.839 0.839], 'EdgeColor', 'k');
    set(r1,'LineWidth',2);
    r2 = patch(XSR, YSR, [0.729 0.831 0.957], 'EdgeColor', 'k');
    set(r2,'LineWidth',2);
    r3 = patch(XE, YE, [0.863 0.863 0.863], 'EdgeColor', 'k');
    set(r3,'LineWidth',2);
    r4 = patch(XR, YR, [0.757 0.867 0.776], 'EdgeColor', 'k');
    set(r4,'LineWidth',2);
    jjj=0;
    kj = max(max([XS, XSR]));
    while min(min([YS, YSR, YR]))+3*jjj*d < max(max([YS, YSR, YR]))
          jjj=jjj+1;
        text(kj+d,min(min([YS, YSR, YR]))+3*jjj*d,'...','FontSize',36);
    end

    % second part of the graph

    t = cstate_end(k,i_trans_aux-10:k,:);   
    nS = sum(sum(t==0)); % t<100
    nR = sum(sum(t == 1)); % t>300         
    nSR = sum(sum(t == 0.5)); % 100>t>300

    % coordinates of all sender hexagons
    XS = zeros(6, nSR);
    YS = zeros(6, nSR);
    % coordinates of all sender/receiver hexagons
    XSR = zeros(6, nS);
    YSR = zeros(6, nS);
    % coordinates of all receiver hexagons
    XR = zeros(6, nR);
    YR = zeros(6,nR);

    bcount = 0;
    wcount = 0;
    rcount = 0;

    for ii = 1:size(t,3)
        for jj = 1:size(t,2)
            ppp=mod(jj,2);
            if t(1,jj, ii)==0.5
                bcount = bcount + 1;
                YS(:, bcount) = x + d * (mod(2 * ii + ppp, 2 * ncells_y))+sqrt(3)*(k==21);
                XS(:, bcount) = y + 1.5 * jj+kj + 4*d;
            elseif t(1, jj, ii)==0
                wcount = wcount + 1;
                YSR(:, wcount) = x + d * (mod(2 * ii + ppp, 2 * ncells_y))+sqrt(3)*(k==21);
                XSR(:, wcount) = y + 1.5 * jj+kj + 4*d;
            else
                rcount = rcount + 1;
                YR(:, rcount) = x + d * (mod(2 * ii + ppp, 2 * ncells_y))+sqrt(3)*(k==21);
                XR(:, rcount) = y + 1.5 * jj+kj + 4*d;
            end
        end
    end

    r1 = patch(XS, YS, [0.925 0.839 0.839], 'EdgeColor', 'k');
    set(r1,'LineWidth',2);
    r2 = patch(XSR, YSR, [0.729 0.831 0.957], 'EdgeColor', 'k');
    set(r2,'LineWidth',2);
    r4 = patch(XR, YR, [0.757 0.867 0.776], 'EdgeColor', 'k');
    set(r4,'LineWidth',2);
    ncells_y=12;
    i=ncells_y-1;
    r1 = rectangle('Position',[13 i*2+0.5 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.863 0.863 0.863]); set(r1,'LineWidth',2);
    text(14.5,i*2+1.5,'EC','FontSize',28);
    r1 = rectangle('Position',[18 i*2+0.5 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.729 0.831 0.957]); set(r1,'LineWidth',2);
    text(19.5,i*2+1.5,'S','FontSize',28);
    r1 = rectangle('Position',[22 i*2+0.5 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.925 0.839 0.839]); set(r1,'LineWidth',2);
    text(23.5,i*2+1.5,'S/R','FontSize',28);
    plot([-4 selection(end)+5],[ncells_y*2-1.75 ncells_y*2-1.75],'Color','k','LineWidth',2);
    text(-4,ncells_y*2-0.5,'IMT:','FontSize',28);
    text(4,ncells_y*2-0.5,'mm','FontSize',28);
    text(0,ncells_y*2-0.5,num2str(k*0.01),'FontSize',28);
    axis equal off
end

%print(h,'-depsc','individual_states_mech2.eps');

%% Plot average number of states per length
clearvars -except selection i_trans_aux
load('artery_1D.mat')

selection2 = [1,10:10:100];
ncells_range = 1:100;
h = figure; hold on;
l1 = plot(ncells_range,ncellstates1(:,10),'-','LineWidth',2, 'Color', [0 0 1]); l1color = get(l1,'Color');
l2 = plot(ncells_range,ncellstates1(:,11),'-','LineWidth',2, 'Color', [1 0 0]); l2color = get(l2,'Color');
%l3 = plot(ncells_range,ncellstates1(:,12),'--','LineWidth',2); l3color = get(l3,'Color');
l11 = plot(selection2,ncellstates1(selection2,10),'s','Color',l1color,'LineWidth',2,'MarkerSize',12);
l21 = plot(selection2,ncellstates1(selection2,11),'o','Color',l2color,'LineWidth',2,'MarkerSize',11);
%l31 = plot(selection2,ncellstates1(selection2,12),'v','Color',l3color,'LineWidth',2,'MarkerSize',11);
%xlabel('Arterial IMT [mm]'); ylabel('Percentage of cells [%]');
%legend([l11,l21],'S','S/R','Location', 'Northoutside','Orientation','horizontal');
%set(l21,'LineStyle','None');
%set(gca,'LineWidth',2,'FontSize',28,'XTick',[0:25:100],'YLim',[0 100]);
%print(h,'-depsc','states_mech.eps');

clearvars -except selection selection2 l1 l2 l11 l21 i_trans_aux
load('lN_increased_kc_decreased.mat')
l3 = plot(ncells_range_x,ncellstates1(:,10),'--','LineWidth',2, 'Color', [0 0.4470 0.7410]); l3color = get(l3,'Color');
l4 = plot(ncells_range_x,ncellstates1(:,11),'--','LineWidth',2, 'Color', [0.6350    0.0780    0.1840]); l4color = get(l4,'Color');
l31 = plot(selection2,ncellstates1(selection2,10),'v','Color',l3color,'LineWidth',2,'MarkerSize',12);
l41 = plot(selection2,ncellstates1(selection2,11),'^','Color',l4color,'LineWidth',2,'MarkerSize',11);
xlabel('Arterial IMT [mm]'); ylabel('Percentage of cells [%]');
legend([ l11,l21, l31, l41],'S,1D','S/R,1D','S,2D','S/R,2D','Location', 'Northoutside','Orientation','horizontal');
set(l21,'LineStyle','None');
set(gca,'LineWidth',2,'FontSize',28,'XTick',[0:25:100],'YLim',[0 100]);

%% Plot average number of states per length
clearvars -except selection
load('artery_1D.mat')
ncells_x=100;
selection2 = [1,10:10:ncells_x];
ncells_range = 1:100;
h = figure; hold on;
l1 = plot(ncells_range,ncellstates1(:,10),'-','LineWidth',2, 'Color', [0 0 1]); l1color = get(l1,'Color');
l2 = plot(ncells_range,ncellstates1(:,11),'-','LineWidth',2, 'Color', [1 0 0]); l2color = get(l2,'Color');
%l3 = plot(ncells_range,ncellstates1(:,12),'--','LineWidth',2); l3color = get(l3,'Color');
l11 = plot(selection2,ncellstates1(selection2,10),'s','Color',l1color,'LineWidth',2,'MarkerSize',12);
l21 = plot(selection2,ncellstates1(selection2,11),'o','Color',l2color,'LineWidth',2,'MarkerSize',11);
%l31 = plot(selection2,ncellstates1(selection2,12),'v','Color',l3color,'LineWidth',2,'MarkerSize',11);
%xlabel('Arterial IMT [mm]'); ylabel('Percentage of cells [%]');
%legend([l11,l21],'S','S/R','Location', 'Northoutside','Orientation','horizontal');
%set(l21,'LineStyle','None');
%set(gca,'LineWidth',2,'FontSize',28,'XTick',[0:25:100],'YLim',[0 100]);
%print(h,'-depsc','states_mech.eps');

clearvars -except selection selection2 l1 l2 l11 l21
load('lN_increased_kc_decreased.mat')
l3 = plot(ncells_range_x,ncellstates1(:,10),'--','LineWidth',2, 'Color', [0 0.4470 0.7410]); l3color = get(l3,'Color');
l4 = plot(ncells_range_x,ncellstates1(:,11),'--','LineWidth',2, 'Color', [0.6350    0.0780    0.1840]); l4color = get(l4,'Color');
l31 = plot(selection2,ncellstates1(selection2,10),'v','Color',l3color,'LineWidth',2,'MarkerSize',12);
l41 = plot(selection2,ncellstates1(selection2,11),'^','Color',l4color,'LineWidth',2,'MarkerSize',11);
xlabel('Arterial IMT [mm]'); ylabel('Percentage of cells [%]');
legend([ l11,l21, l31, l41],'S,1D','S/R,1D','S,2D','S/R,2D','Location', 'Northoutside','Orientation','horizontal');
set(l21,'LineStyle','None');
set(gca,'LineWidth',2,'FontSize',28,'XTick',0:25:100,'XTickLabels',...
    {'0','0.25','0.50', '0.75', '1.00'},'YLim',[0 100]);

%% Plot average protein levels per length
clearvars -except selection selection2
load('artery_1D.mat')
ncells_range = 1:100;
% Notch
h = figure(100); hold on;
l = plot(ncells_range,proteins_levels1(:,2),'LineWidth',2); color = get(l,'Color');
l1 = plot(selection2,proteins_levels1(selection2,2),'o','Color',color,'LineWidth',2,'MarkerSize',11);
xlabel('Arterial IMT [mm]'); ylabel('Average protein content [molec]');
title('Notch','FontSize',24);
set(gca,'LineWidth',2,'FontSize',20,'XTick',[0:25:ncells_range(end)], 'XTickLabels',...
    {'0','0.25','0.50', '0.75', '1.00'});
pos = get(h,'Position'); set(h,'Position',[pos(1),pos(2),0.8*pos(3),1.1*pos(4)]);
%print(h,'-depsc','Notch_mech.eps');

% Delta
h = figure(101); hold on;
l2 = plot(ncells_range,proteins_levels1(:,4),'LineWidth',2); color = get(l2,'Color');
l3 = plot(selection2,proteins_levels1(selection2,4),'o','Color',color,'LineWidth',2,'MarkerSize',11);
xlabel('Arterial IMT [mm]'); ylabel('Average protein content [molec]');
title('Delta','FontSize',24);
set(gca,'LineWidth',2,'FontSize',20,'XTick',[0:25:ncells_range(end)], 'XTickLabels',...
    {'0','0.25','0.50', '0.75', '1.00'});
pos = get(h,'Position'); set(h,'Position',[pos(1),pos(2),0.8*pos(3),1.1*pos(4)]);
%print(h,'-depsc','Delta_mech.eps');

% Jagged
h = figure(102); hold on;
l4 = plot(ncells_range,proteins_levels1(:,6),'LineWidth',2); color = get(l4,'Color');
l5 = plot(selection2,proteins_levels1(selection2,6),'o','Color',color,'LineWidth',2,'MarkerSize',11);
xlabel('Arterial IMT [mm]'); ylabel('Average protein content [molec]');
title('Jagged','FontSize',24);
set(gca,'LineWidth',2,'FontSize',20,'XTick',[0:25:ncells_range(end)], 'XTickLabels',...
    {'0','0.25','0.50', '0.75', '1.00'});
pos = get(h,'Position'); set(h,'Position',[pos(1),pos(2),0.8*pos(3),1.1*pos(4)]);
%print(h,'-depsc','Jagged_mech.eps');

% NICD
h = figure(103); hold on;
l6 = plot(ncells_range,proteins_levels1(:,8),'LineWidth',2); color = get(l6,'Color');
l7 = plot(selection2,proteins_levels1(selection2,8),'o','Color',color,'LineWidth',2,'MarkerSize',11);
plot([0 ncells_range(end)+10],[100 100],'--','Color',[0.5 0.5 0.5],'LineWidth',2);
plot([0 ncells_range(end)+10],[300 300],'--','Color',[0.5 0.5 0.5],'LineWidth',2);
text(ncells_range(1),50,'S','FontSize',24);
text(ncells_range(1),250,'S/R','FontSize',24);
text(ncells_range(1),325,'R','FontSize',24);
xlabel('Arterial IMT [mm]'); ylabel('Average protein content [molec]');
title('NICD','FontSize',24);
set(gca,'LineWidth',2,'FontSize',20,'XTick',[0:25:ncells_range(end)],'XLim',...
    [0 ncells_range(end)+1],'YLim',[0 350],'YTick',[0:100:300], 'XTickLabels',...
    {'0','0.25','0.50', '0.75', '1.00'});
pos = get(h,'Position'); set(h,'Position',[pos(1),pos(2),0.8*pos(3),1.1*pos(4)]);
%print(h,'-depsc','NICD_mech.eps');

clearvars -except selection selection2 l l1 l2 l3 l4 l5 l6 l7
load('lN_increased_kc_decreased.mat')
% Notch
h = figure(100); hold on;
l8 = plot(ncells_range_x,proteins_levels1(:,2),'--r','LineWidth',2); color = get(l8,'Color');
l9 = plot(selection2,proteins_levels1(selection2,2),'o','Color',color,'LineWidth',2,'MarkerSize',11);
legend([ l,l8],'1D','2D','Location', 'SouthEast');
%xlabel('Arterial IMT [mm]'); ylabel('Average protein content [molec]');
%title('Notch','FontSize',24);
%set(gca,'LineWidth',2,'FontSize',24,'XTick',[0:25:ncells_range_x(end)]);
%pos = get(h,'Position'); set(h,'Position',[pos(1),pos(2),0.75*pos(3),pos(4)]);
%print(h,'-depsc','Notch_mech.eps');

% Delta
h = figure(101); hold on;
l10 = plot(ncells_range_x,proteins_levels1(:,4),'--r','LineWidth',2); color = get(l10,'Color');
l11 = plot(selection2,proteins_levels1(selection2,4),'o','Color',color,'LineWidth',2,'MarkerSize',11);
legend([ l2,l10],'1D','2D','Location', 'NorthEast');
%xlabel('Arterial IMT [mm]'); ylabel('Average protein content [molec]');
%title('Delta','FontSize',24);
%set(gca,'LineWidth',2,'FontSize',24,'XTick',[0:25:ncells_range_x(end)]);
%pos = get(h,'Position'); set(h,'Position',[pos(1),pos(2),0.75*pos(3),pos(4)]);
%print(h,'-depsc','Delta_mech.eps');

% Jagged
h = figure(102); hold on;
l12 = plot(ncells_range_x,proteins_levels1(:,6),'--r','LineWidth',2); color = get(l12,'Color');
l13 = plot(selection2,proteins_levels1(selection2,6),'o','Color',color,'LineWidth',2,'MarkerSize',11);
legend([ l4,l12],'1D','2D','Location', 'SouthEast');
%xlabel('Arterial IMT [mm]'); ylabel('Average protein content [molec]');
%title('Jagged','FontSize',24);
%set(gca,'LineWidth',2,'FontSize',24,'XTick',[0:25:ncells_range_x(end)]);
%pos = get(h,'Position'); set(h,'Position',[pos(1),pos(2),0.75*pos(3),pos(4)]);
%print(h,'-depsc','Jagged_mech.eps');

% NICD
h = figure(103); hold on;
l14 = plot(ncells_range_x,proteins_levels1(:,8),'--r','LineWidth',2); color = get(l14,'Color');
l15 = plot(selection2,proteins_levels1(selection2,8),'o','Color',color,'LineWidth',2,'MarkerSize',11);
plot([0 ncells_range_x(end)+10],[100 100],'--','Color',[0.5 0.5 0.5],'LineWidth',2);
plot([0 ncells_range_x(end)+10],[300 300],'--','Color',[0.5 0.5 0.5],'LineWidth',2);
legend([ l6,l14],'1D','2D','Location', 'SouthEast');
%text(ncells_range_x(end)-10,50,'S','FontSize',24);
%text(ncells_range_x(end)-10,250,'S/R','FontSize',24);
%text(ncells_range_x(end)-10,325,'R','FontSize',24);
%xlabel('Arterial IMT [mm]'); ylabel('Average protein content [molec]');
%title('NICD','FontSize',24);
%set(gca,'LineWidth',2,'FontSize',24,'XTick',[0:25:ncells_range_x(end)],'XLim',[0 ncells_range_x(end)+1],'YLim',[0 350],'YTick',[0:100:300]);
%pos = get(h,'Position'); set(h,'Position',[pos(1),pos(2),0.75*pos(3),pos(4)]);
%print(h,'-depsc','NICD_mech.eps');
