%% Plot individual cell states for selection of lengths
clearvars; clc; close all;
load('wksp_original_1D.mat')
selection = [i_trans-8, i_trans-4,i_trans,i_trans+4,i_trans+8];
clearvars -except selection
load('artery_3D.mat')

% Plot status from last simulation per wall thickness
cstate_end = zeros(length(ncells_range_x),ncells_range_x(end), ncells_y);


for f = 1:size(I_end,1)
    for g = 1:size(I_end,2)
        for k = 1:size(I_end, 3)
           if g > ncells_range_x(f)
               cstate_end(f,g,k) = 10; % no cell
           else
               if I_end(f,g,k) < 100 % Sender
                   cstate_end(f,g,k) = 0;
               elseif I_end(f,g,k) > 300 % Receiver
                   cstate_end(f,g,k) = 1;
               else % 100 < I_end(f,g) < 300 % Sender/Receiver
                   cstate_end(f,g,k) = 0.5;
               end
            end
        end
    end
end

for z = selection
    h = figure(z);%'Position',[1000,1000,1000,400]); 
    set(h, 'Position',[1000,1000,1000,400]);
    axis equal; hold on; 
    i=0;
    for k=1:ncells_y
        i = i + 1;
        t = cstate_end(z,:,k);
        nS = find(t == 0); % t<100
        nR = find(t == 1); % t>300         
        nSR = find(t == 0.5); % 100>t>300
        r1 = rectangle('Position',[-0.5 (i-1)*2 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.863 0.863 0.863]);
        set(r1,'LineWidth',2);
        for r = 1:length(nS)
            if nS(r) <= 5
                r1 = rectangle('Position',[nS(r)-0.5 (i-1)*2 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.729 0.831 0.957]);
                set(r1,'LineWidth',2);
            end
            if nS(r) >= (i_trans-9)
                r1 = rectangle('Position',[nS(r)-(i_trans-17.5) (i-1)*2 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.729 0.831 0.957]);
                set(r1,'LineWidth',2);
            end
        end
        for r = 1:length(nR)
            if nR(r) <= 5
                r1 = rectangle('Position',[nR(r)-0.5 (i-1)*2 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.757 0.867 0.776]);
                set(r1,'LineWidth',2);
            end
            if nR(r) >= (i_trans-9)
                r1 = rectangle('Position',[nR(r)-(i_trans-17.5) (i-1)*2 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.757 0.867 0.776]);
                set(r1,'LineWidth',2);
            end
        end
        for r = 1:length(nSR)
            if nSR(r) <= 5
                r1 = rectangle('Position',[nSR(r)-0.5 (i-1)*2 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.925 0.839 0.839]);
                set(r1,'LineWidth',2);
            end
            if nSR(r) >= (i_trans-9)
                r1 = rectangle('Position',[nSR(r)-(i_trans-17.5) (i-1)*2 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.925 0.839 0.839]);
                set(r1,'LineWidth',2);
            end
        end
        text(5.8,(i-1)*2+1.7,'...','FontSize',36);
    end
%     r1 = rectangle('Position',[-0.5 i*2+1 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.863 0.863 0.863]); set(r1,'LineWidth',2);
%     text(1,i*2+2,'EC','FontSize',24);
%     r1 = rectangle('Position',[3.5 i*2+1 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.729 0.831 0.957]); set(r1,'LineWidth',2);
%     text(5,i*2+2,'S','FontSize',24);
%     r1 = rectangle('Position',[7.5 i*2+1 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.925 0.839 0.839]); set(r1,'LineWidth',2);
%     text(9,i*2+2,'S/R','FontSize',24);
%     r1 = rectangle('Position',[11.5 i*2+1 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.757 0.867 0.776]); set(r1,'LineWidth',2);
%     text(13,i*2+2,'R','FontSize',24);
     plot([-6.5 selection(end)-(i_trans-19)],[i*2+0.75 i*2+0.75],'Color','k','LineWidth',2);
%     text(-6,i*2+3,'IMT [mm]','FontSize',24);
     text(-4.75,10,'2D','FontSize',24);
%    text(-4.75,2.75,num2str((i_trans-3)*cell_size),'FontSize',24);
%    text(-4.75,4.75,num2str((i_trans+1)*cell_size),'FontSize',24);
%    text(-4.75,6.75,num2str((i_trans+5)*cell_size),'FontSize',24);
%    text(-4.75,8.75,num2str((i_trans+9)*cell_size),'FontSize',24);
    axis off;
end

clearvars -except selection
load('wksp_original_1D.mat')
ncells_y = 1;
ncells_range_x=ncells_range;
% Plot status from last simulation per wall thickness
cstate_end = zeros(length(ncells_range_x),ncells_range_x(end), ncells_y);


for f = 1:size(I_end,1)
    for g = 1:size(I_end,2)
        for k = 1:size(I_end, 3)
           if g > ncells_range_x(f)
               cstate_end(f,g,k) = 10; % no cell
           else
               if I_end(f,g,k) < 100 % Sender
                   cstate_end(f,g,k) = 0;
               elseif I_end(f,g,k) > 300 % Receiver
                   cstate_end(f,g,k) = 1;
               else % 100 < I_end(f,g) < 300 % Sender/Receiver
                   cstate_end(f,g,k) = 0.5;
               end
            end
        end
    end
end

for z = selection
    h = figure(z);%,'Position',[1000,1000,1000,400]); 
    set(h, 'Position',[1000,1000,1000,400]);
    axis equal; hold on; 
    i=11;
    for k=1:ncells_y
        i = i + 1;
        t = cstate_end(z,:,k);
        nS = find(t == 0); % t<100
        nR = find(t == 1); % t>300         
        nSR = find(t == 0.5); % 100>t>300
        r1 = rectangle('Position',[-0.5 (i-1)*2 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.863 0.863 0.863]);
        set(r1,'LineWidth',2);
        for r = 1:length(nS)
            if nS(r) <= 5
                r1 = rectangle('Position',[nS(r)-0.5 (i-1)*2 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.729 0.831 0.957]);
                set(r1,'LineWidth',2);
            end
            if nS(r) >= (i_trans-9)
                r1 = rectangle('Position',[nS(r)-(i_trans-17.5) (i-1)*2 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.729 0.831 0.957]);
                set(r1,'LineWidth',2);
            end
        end
        for r = 1:length(nR)
            if nR(r) <= 5
                r1 = rectangle('Position',[nR(r)-0.5 (i-1)*2 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.757 0.867 0.776]);
                set(r1,'LineWidth',2);
            end
            if nR(r) >= (i_trans-9)
                r1 = rectangle('Position',[nR(r)-(i_trans-17.5) (i-1)*2 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.757 0.867 0.776]);
                set(r1,'LineWidth',2);
            end
        end
        for r = 1:length(nSR)
            if nSR(r) <= 5
                r1 = rectangle('Position',[nSR(r)-0.5 (i-1)*2 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.925 0.839 0.839]);
                set(r1,'LineWidth',2);
            end
            if nSR(r) >= (i_trans-9)
                r1 = rectangle('Position',[nSR(r)-(i_trans-17.5) (i-1)*2 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.925 0.839 0.839]);
                set(r1,'LineWidth',2);
            end
        end
        text(5.8,(i-1)*2+1.7,'...','FontSize',36);
    end
    r1 = rectangle('Position',[9 i*2+1 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.863 0.863 0.863]); set(r1,'LineWidth',2);
    text(10.5,i*2+2,'EC','FontSize',24);
    r1 = rectangle('Position',[14.2 i*2+1 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.729 0.831 0.957]); set(r1,'LineWidth',2);
    text(15.7,i*2+2,'S','FontSize',24);
    r1 = rectangle('Position',[18 i*2+1 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.925 0.839 0.839]); set(r1,'LineWidth',2);
    text(19.5,i*2+2,'S/R','FontSize',24);
    r1 = rectangle('Position',[24 i*2+1 1 1.75],'Curvature',[0.8 0.5],'FaceColor',[0.757 0.867 0.776]); set(r1,'LineWidth',2);
    text(25.5,i*2+2,'R','FontSize',24);
    plot([-6.5 selection(end)-(i_trans-19)],[i*2+0.75 i*2+0.75],'Color','k','LineWidth',2);
    text(-6,i*2+2,'IMT:','FontSize',24);
    text(-1,i*2+2,num2str(z*cell_size),'FontSize',24);
    text(3,i*2+2,'mm','FontSize',24);
    text(-4.75,23,'1D','FontSize',24);
%    text(-4.75,2.75,num2str((i_trans-3)*cell_size),'FontSize',24);
%    text(-4.75,4.75,num2str((i_trans+1)*cell_size),'FontSize',24);
%    text(-4.75,6.75,num2str((i_trans+5)*cell_size),'FontSize',24);
%    text(-4.75,8.75,num2str((i_trans+9)*cell_size),'FontSize',24);
    axis off;
end

%print(h,'-depsc','individual_states_mech2.eps');

%% Plot average number of states per length
clearvars -except selection
load('wksp_original_1D.mat')
ncells_x=100;
selection2 = [1,10:10:ncells_x];

h = figure; hold on;
l1 = plot(ncells_range,ncellstates1(:,10),'-','LineWidth',2, 'Color', [0 0 1]); l1color = get(l1,'Color');
l2 = plot(ncells_range,ncellstates1(:,11),'-','LineWidth',2, 'Color', [1 0 0]); l2color = get(l2,'Color');
%l3 = plot(ncells_range,ncellstates1(:,12),'--','LineWidth',2); l3color = get(l3,'Color');
l11 = plot(selection2,ncellstates1(selection2,10),'s','Color',l1color,'LineWidth',2,'MarkerSize',12);
l21 = plot(selection2,ncellstates1(selection2,11),'o','Color',l2color,'LineWidth',2,'MarkerSize',11);
%l31 = plot(selection2,ncellstates1(selection2,12),'v','Color',l3color,'LineWidth',2,'MarkerSize',11);
%xlabel('Arterial IMT [mm]'); ylabel('Percentage of cells [%]');
%legend([l11,l21],'S','S/R','Location', 'Northoutside','Orientation','horizontal');
%set(l21,'LineStyle','None');
%set(gca,'LineWidth',2,'FontSize',28,'XTick',[0:25:100],'YLim',[0 100]);
%print(h,'-depsc','states_mech.eps');

clearvars -except selection selection2 l1 l2 l11 l21
load('artery_3D.mat')
l3 = plot(ncells_range_x,ncellstates1(:,10),'--','LineWidth',2, 'Color', [0 0.4470 0.7410]); l3color = get(l3,'Color');
l4 = plot(ncells_range_x,ncellstates1(:,11),'--','LineWidth',2, 'Color', [0.6350    0.0780    0.1840]); l4color = get(l4,'Color');
l31 = plot(selection2,ncellstates1(selection2,10),'v','Color',l3color,'LineWidth',2,'MarkerSize',12);
l41 = plot(selection2,ncellstates1(selection2,11),'^','Color',l4color,'LineWidth',2,'MarkerSize',11);
xlabel('Arterial IMT [mm]'); ylabel('Percentage of cells [%]');
legend([ l11,l21, l31, l41],'S,1D','S/R,1D','S,3D','S/R,3D','Location', 'East');%,'Orientation','horizontal');
set(l21,'LineStyle','None');
set(gca,'LineWidth',2,'FontSize',28,'XTick',0:25:100,'XTickLabels',...
    {'0','0.25','0.50', '0.75', '1.00'},'YLim',[0 100]);
title('Comparison 1D-3D simulations with original parameters')

%% Plot average protein levels per length
clearvars -except selection selection2
load('wksp_original_1D.mat')
% Notch
h = figure(100); hold on;
l = plot(ncells_range,proteins_levels1(:,2),'LineWidth',2); color = get(l,'Color');
l1 = plot(selection2,proteins_levels1(selection2,2),'o','Color',color,'LineWidth',2,'MarkerSize',11);
xlabel('Arterial IMT [mm]'); ylabel('Average protein content [molec]');
title('Notch','FontSize',24);
set(gca,'LineWidth',2,'FontSize',20,'XTick',[0:25:ncells_range(end)]);
pos = get(h,'Position'); set(h,'Position',[pos(1),pos(2),0.8*pos(3),1.1*pos(4)]);
%print(h,'-depsc','Notch_mech.eps');

% Delta
h = figure(101); hold on;
l2 = plot(ncells_range,proteins_levels1(:,4),'LineWidth',2); color = get(l2,'Color');
l3 = plot(selection2,proteins_levels1(selection2,4),'o','Color',color,'LineWidth',2,'MarkerSize',11);
xlabel('Arterial IMT [mm]'); ylabel('Average protein content [molec]');
title('Delta','FontSize',24);
set(gca,'LineWidth',2,'FontSize',20,'XTick',[0:25:ncells_range(end)]);
pos = get(h,'Position'); set(h,'Position',[pos(1),pos(2),0.8*pos(3),1.1*pos(4)]);
%print(h,'-depsc','Delta_mech.eps');

% Jagged
h = figure(102); hold on;
l4 = plot(ncells_range,proteins_levels1(:,6),'LineWidth',2); color = get(l4,'Color');
l5 = plot(selection2,proteins_levels1(selection2,6),'o','Color',color,'LineWidth',2,'MarkerSize',11);
xlabel('Arterial IMT [mm]'); ylabel('Average protein content [molec]');
title('Jagged','FontSize',24);
set(gca,'LineWidth',2,'FontSize',20,'XTick',[0:25:ncells_range(end)]);
pos = get(h,'Position'); set(h,'Position',[pos(1),pos(2),0.8*pos(3),1.1*pos(4)]);
%print(h,'-depsc','Jagged_mech.eps');

% NICD
h = figure(103); hold on;
l6 = plot(ncells_range,proteins_levels1(:,8),'LineWidth',2); color = get(l6,'Color');
l7 = plot(selection2,proteins_levels1(selection2,8),'o','Color',color,'LineWidth',2,'MarkerSize',11);
plot([0 ncells_range(end)+10],[100 100],'--','Color',[0.5 0.5 0.5],'LineWidth',2);
plot([0 ncells_range(end)+10],[300 300],'--','Color',[0.5 0.5 0.5],'LineWidth',2);
text(ncells_range(1),50,'S','FontSize',24);
text(ncells_range(1),250,'S/R','FontSize',24);
text(ncells_range(1),325,'R','FontSize',24);
xlabel('Arterial IMT [mm]'); ylabel('Average protein content [molec]');
title('NICD','FontSize',24);
set(gca,'LineWidth',2,'FontSize',20,'XTick',[0:25:ncells_range(end)],'XLim',[0 ncells_range(end)+1],'YLim',[0 350],'YTick',[0:100:300]);
pos = get(h,'Position'); set(h,'Position',[pos(1),pos(2),0.8*pos(3),1.1*pos(4)]);
%print(h,'-depsc','NICD_mech.eps');

clearvars -except selection selection2 l l1 l2 l3 l4 l5 l6 l7
load('artery_3D.mat')
% Notch
h = figure(100); hold on;
l8 = plot(ncells_range_x,proteins_levels1(:,2),'--r','LineWidth',2); color = get(l8,'Color');
l9 = plot(selection2,proteins_levels1(selection2,2),'o','Color',color,'LineWidth',2,'MarkerSize',11);
legend([ l,l8],'1D','2D','Location', 'SouthEast');
%xlabel('Arterial IMT [mm]'); ylabel('Average protein content [molec]');
%title('Notch','FontSize',24);
%set(gca,'LineWidth',2,'FontSize',24,'XTick',[0:25:ncells_range_x(end)]);
%pos = get(h,'Position'); set(h,'Position',[pos(1),pos(2),0.75*pos(3),pos(4)]);
%print(h,'-depsc','Notch_mech.eps');

% Delta
h = figure(101); hold on;
l10 = plot(ncells_range_x,proteins_levels1(:,4),'--r','LineWidth',2); color = get(l10,'Color');
l11 = plot(selection2,proteins_levels1(selection2,4),'o','Color',color,'LineWidth',2,'MarkerSize',11);
legend([ l2,l10],'1D','2D','Location', 'NorthEast');
%xlabel('Arterial IMT [mm]'); ylabel('Average protein content [molec]');
%title('Delta','FontSize',24);
%set(gca,'LineWidth',2,'FontSize',24,'XTick',[0:25:ncells_range_x(end)]);
%pos = get(h,'Position'); set(h,'Position',[pos(1),pos(2),0.75*pos(3),pos(4)]);
%print(h,'-depsc','Delta_mech.eps');

% Jagged
h = figure(102); hold on;
l12 = plot(ncells_range_x,proteins_levels1(:,6),'--r','LineWidth',2); color = get(l12,'Color');
l13 = plot(selection2,proteins_levels1(selection2,6),'o','Color',color,'LineWidth',2,'MarkerSize',11);
legend([ l4,l12],'1D','2D','Location', 'SouthEast');
%xlabel('Arterial IMT [mm]'); ylabel('Average protein content [molec]');
%title('Jagged','FontSize',24);
%set(gca,'LineWidth',2,'FontSize',24,'XTick',[0:25:ncells_range_x(end)]);
%pos = get(h,'Position'); set(h,'Position',[pos(1),pos(2),0.75*pos(3),pos(4)]);
%print(h,'-depsc','Jagged_mech.eps');

% NICD
h = figure(103); hold on;
l14 = plot(ncells_range_x,proteins_levels1(:,8),'--r','LineWidth',2); color = get(l14,'Color');
l15 = plot(selection2,proteins_levels1(selection2,8),'o','Color',color,'LineWidth',2,'MarkerSize',11);
plot([0 ncells_range_x(end)+10],[100 100],'--','Color',[0.5 0.5 0.5],'LineWidth',2);
plot([0 ncells_range_x(end)+10],[300 300],'--','Color',[0.5 0.5 0.5],'LineWidth',2);
legend([ l6,l14],'1D','2D','Location', 'SouthEast');
%text(ncells_range_x(end)-10,50,'S','FontSize',24);
%text(ncells_range_x(end)-10,250,'S/R','FontSize',24);
%text(ncells_range_x(end)-10,325,'R','FontSize',24);
%xlabel('Arterial IMT [mm]'); ylabel('Average protein content [molec]');
%title('NICD','FontSize',24);
%set(gca,'LineWidth',2,'FontSize',24,'XTick',[0:25:ncells_range_x(end)],'XLim',[0 ncells_range_x(end)+1],'YLim',[0 350],'YTick',[0:100:300]);
%pos = get(h,'Position'); set(h,'Position',[pos(1),pos(2),0.75*pos(3),pos(4)]);
%print(h,'-depsc','NICD_mech.eps');
